package com.sun.xml.internal.bind.v2.runtime.output;

import com.sun.xml.internal.bind.v2.runtime.Name;
import javax.xml.stream.XMLStreamException;
import org.xml.sax.SAXException;
import java.io.IOException;
import com.sun.xml.internal.bind.v2.runtime.XMLSerializer;

public interface XmlOutput
{
    public abstract void startDocument(XMLSerializer p0, boolean p1, int[] p2, NamespaceContextImpl p3) throws IOException, SAXException, XMLStreamException;
    
    public abstract void endDocument(boolean p0) throws IOException, SAXException, XMLStreamException;
    
    public abstract void beginStartTag(Name p0) throws IOException, XMLStreamException;
    
    public abstract void beginStartTag(int p0, String p1) throws IOException, XMLStreamException;
    
    public abstract void attribute(Name p0, String p1) throws IOException, XMLStreamException;
    
    public abstract void attribute(int p0, String p1, String p2) throws IOException, XMLStreamException;
    
    public abstract void endStartTag() throws IOException, SAXException;
    
    public abstract void endTag(Name p0) throws IOException, SAXException, XMLStreamException;
    
    public abstract void endTag(int p0, String p1) throws IOException, SAXException, XMLStreamException;
    
    public abstract void text(String p0, boolean p1) throws IOException, SAXException, XMLStreamException;
    
    public abstract void text(Pcdata p0, boolean p1) throws IOException, SAXException, XMLStreamException;
}
